<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System                  |
| Copyright (C) 2002 - 2010 Nick Jones                  |
| http://www.php-fusion.co.uk/                          |
+-------------------------------------------------------+
| This program is released as free software under the   |
| Affero GPL license. You can redistribute it and/or    |
| addonify it under the terms of this license which you |
| can read by viewing the included agpl.txt or online   |
| at www.gnu.org/licenses/agpl.html. Removal of this    |
| copyright header is strictly prohibited without       |
| written permission from the original author(s).       |
+------------------------------------------------------*/
/*------------------------------------------------------+
|     Theme Blue_Stripes for PHP-Fusion v7              |
+-------------------------------------------------------+
| Filename: theme.php                                   |
| author: lippke              						    |
| Homepage: http://www.zicy.dk/                         |
+-------------------------------------------------------+
| This theme is released under the terms and conditions |
| of the GNU Affero GPL v3.                             |
+------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");
define("THEME_WIDTH", "1000");

require_once INCLUDES."theme_functions_include.php";

function render_page($license = false) {
	
	global $settings, $main_style, $locale, $aidlink, $userdata;

	//Header
	echo "<table align='center' cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='header-left'></td>\n";
	echo "<td class='header'>\n".showbanners()."</td>\n";
	echo "<td class='header-right'></td>\n";
	echo "</tr>\n</table>\n";
	
	//space maker
	echo "<br />";
	echo "<br />";
	echo "<br />";
	echo "<br />";
	
	//sub header
	echo "<table align='center' cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='sub-header-left'></td>\n";
	echo "<td class='sub-header'>".showsublinks(" ".THEME_BULLET." ", "white")."</td>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "</tr>\n</table>\n";
	
	//sub-sub header
	echo "<table align='center' cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='sub-sub-header-left'></td>\n";
	echo "<td class='sub-sub-header'></td>\n";
	echo "<td class='sub-sub-header-right'></td>\n";
	echo "</tr>\n</table>\n";
	
	//Content
	echo "<table align='center' cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."".RIGHT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table align='center' cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='sub-footer-left'></td>\n";
	echo "<td align='left' class='sub-footer'></td>\n";
	echo "<td align='left' class='sub-footer'>Blue_Stripes made by <a href='http://www.zicy.dk' target='_blank'><strong>zicy.dk</strong></a></td>\n";
	echo "<td align='left' class='sub-footer'>\n";
	echo "<form name='Tick' action='".FUSION_SELF."'>
		  <input type='text' class='clock' size='12' name='Clock'/>
		  </form>
		  <script type='text/Javascript'>
		  <!--
		  /*By George Chiang (JK's JavaScript tutorial)
		  http://javascriptkit.com
		  Credit must stay intact for use*/
		  function show(){
		  var Digital=new Date()
		  var hours=Digital.getHours()
		  var minutes=Digital.getMinutes()
		  var seconds=Digital.getSeconds()
		  var dn=''
		  if (hours>24){
		  }
		  if (hours==0)
	      hours=12
		  if (minutes<=9)
	      minutes='0'+minutes
		  if (seconds<=9)
	      seconds='0'+seconds
		  document.Tick.Clock.value=hours+':'+minutes+':'
		  +seconds+' '+dn
		  setTimeout('show()',1000)
	 	  }
	  	  show()
		  //-->
		  </script>";
	echo "<noscript><p>Enable Javascript to see the clock.</p></noscript>";
	echo "</td>\n";	
	echo "<td align='right' class='sub-footer'>".showcounter()."</td>\n";
	echo "<td class='sub-footer-right'></td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table align='center' cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='footer-left'></td>\n";
	echo "<td align='center' class='footer'>".stripslashes($settings['footer']);
	if (!$license) { echo "<br /><br />\n".showcopyright(); }
	echo "</td>\n";
	echo "<td align='left' class='footer'></td>\n";
	if (iMEMBER) {
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");
 
    echo "<td class='footer' align='center' valign='middle'>\n";
    echo "<div id='menu'>";
    echo "<a id='profile' href='".BASEDIR."edit_profile.php' title='".$locale['global_120']."'><img src='".THEME."images/profile.gif' alt='' />".$locale['global_120']."</a>";
    echo "<a id='pm' href='".BASEDIR."messages.php' title='".$locale['global_121']."'><img src='".THEME."images/pm.gif' alt='' />".$locale['global_121']."</a>";
    echo "<a id='userlist' href='".BASEDIR."members.php' title='".$locale['global_122']."'><img src='".THEME."images/member_list.gif' alt='' />".$locale['global_122']."</a>";
    echo "".(iADMIN ? "<a id='admin' href='".ADMIN."index.php".$aidlink."' title='".$locale['global_123']."'><img src='".THEME."images/admin.gif' alt='' />".$locale['global_123']."</a> \n" : "")."";
    echo "<a id='logout' href='".BASEDIR."setuser.php?logout=yes' title='".$locale['global_124']."'><img src='".THEME."images/logout.gif' alt='' />".$locale['global_124']."</a>";
    echo " <a href='".BASEDIR."messages.php'>";if ($msg_count){echo"&nbsp;<span id='msgcount'>[$msg_count]</span>";}echo"</a>";
    echo "</div>";
    echo "</td>";
	} else {
	if (iGUEST) {
	echo "<td class='footer' align='left' valign='middle' width='20%'></td>";
	echo "<td class='footer' align='left' valign='middle'>";
	echo "".(isset($loginerror) ? $loginerror : "")."
	<form name='loginform1' method='post' action='".FUSION_SELF."'>
	".$locale['global_101'].":&nbsp;
	<input type='text' name='user_name' class='textbox' style='width:100px;'/>&nbsp;
	<br />".$locale['global_102'].":&nbsp;&nbsp;
	<input type='password' name='user_pass' class='textbox' style='width:100px;'/>&nbsp;
	<input type='checkbox' class='checkbox' name='remember_me' style='height:12px' value='y' title='".$locale['global_103']."' />
	<input type='submit' name='login' value='".$locale['global_104']."' class='button'/>
	</form></td>\n";
	echo "<td class='footer' align='right' valign='middle' width='20%'>
    <div id='menu1'>
    <a id='lp' href='".BASEDIR."lostpassword.php' title='".$locale['global_108']."'><img src='".THEME."images/lost_password.gif' alt='' />".$locale['global_108']."</a><br />
    ".($settings['enable_registration'] ? "<a id='register' href='".BASEDIR."register.php' title='".$locale['global_107']."'><img src='".THEME."images/registration.gif' alt='' />".$locale['global_107']."</a> \n" : "")."
    </div>
    </td>";
		  }
	}
	
	echo "<td class='footer-right'></td>\n";
	echo "</tr>\n</table>\n";
	//Log-in
}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newscat($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";

}
?>
